# Uses of Interface
org.bukkit.entity.FishHook

Packages that use FishHook
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.player
`Events` relating to `players`.

## Uses of FishHook in org.bukkit.entity

Methods in org.bukkit.entity that return FishHook
Modifier and Type
Method
Description
`@Nullable FishHook`
HumanEntity.`getFishHook()`

## Uses of FishHook in org.bukkit.event.player

Methods in org.bukkit.event.player that return FishHook
Modifier and Type
Method
Description
`@NotNull FishHook`
PlayerFishEvent.`getHook()`
Gets the fishing hook.
Constructors in org.bukkit.event.player with parameters of type FishHook
Modifier
Constructor
Description
``
`PlayerFishEvent(@NotNull Player player, @Nullable Entity entity, @NotNull FishHook hookEntity, @NotNull PlayerFishEvent.State state)`
``
`PlayerFishEvent(@NotNull Player player, @Nullable Entity entity, @NotNull FishHook hookEntity, @Nullable EquipmentSlot hand, @NotNull PlayerFishEvent.State state)`